var im = require('imagemagick');
var async = require('async');

var images = [
  {"input":"icons/icon.png", "height":57, "width":57, "output":"icons/57.png"},
  {"input":"icons/icon.png", "height":72, "width":72, "output":"icons/72.png"},
  {"input":"icons/icon.png", "height":114, "width":114, "output":"icons/114.png"},
  {"input":"icons/icon.png", "height":144, "width":144, "output":"icons/144.png"}
]
async.forEach(images, function(image, next){
			im.resize({
				srcPath:image.input,
				dstPath:image.output,
				quality:1.0,
				format:'png',
				width:image.width,
				height:image.height
			}, next);
}, function(){
  console.log('bing');
});